#include "chdecl.h"
void CH_fixdefs(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb5;
    case 4: goto c6;
    case 5: goto cb9;
    case 6: goto c10;
    case 7: goto cb13;
    case 8: goto c14;
    case 9: goto cb17;
    case 10: goto c18;
    case 11: goto cb21;
    case 12: goto c22;
    case 13: goto cb25;
    case 14: goto c26;
    case 15: goto cb29;
    case 16: goto c30;
    case 17: goto cb33;
    case 18: goto c34;
    case 19: goto cb37;
    case 20: goto c38;
    case 21: goto cb41;
    case 22: goto c42;
    case 23: goto cb45;
    case 24: goto c46;
    case 25: goto cb50;
    case 26: goto c51;
    case 27: goto cb55;
    case 28: goto c56;
    case 29: goto c61;
    case 30: goto cb74;
    case 31: goto c75;
    case 32: goto cb89;
    case 33: goto c90;
    case 34: goto c91;
    case 35: goto c95;
    case 36: goto cb96;
    case 37: goto c97;
    case 38: goto cb98;
    case 39: goto c99;
    case 40: goto c100;
    case 41: goto cb101;
    case 42: goto c102;
    case 43: goto c103;
    case 44: goto c113;
    case 45: goto cb129;
    case 46: goto c130;
    case 47: goto cb135;
    case 48: goto c136;
    case 49: goto c137;
    case 50: goto cb138;
    case 51: goto c139;
    case 52: goto c140;
    case 53: goto c145;
    case 54: goto cb151;
    case 55: goto c152;
    case 56: goto c153;
    case 57: goto cb154;
    case 58: goto c155;
    case 59: goto c156;
    case 60: goto c158;
    case 61: goto c163;
    case 62: goto c165;
    case 63: goto c170;
    case 64: goto cb171;
    case 65: goto c172;
    case 66: goto c173;
    case 67: goto cb174;
    case 68: goto c175;
    case 69: goto c177;
    case 70: goto c196;
    case 71: goto cb198;
    case 72: goto c199;
    case 73: goto c201;
    case 74: goto c205;
    case 75: goto cb209;
    case 76: goto c210;
    case 77: goto c211;
    case 78: goto cb216;
    case 79: goto c217;
    case 80: goto c218;
    case 81: goto cb219;
    case 82: goto c220;
    case 83: goto cb224;
    case 84: goto c225;
    case 85: goto cb230;
    case 86: goto c231;
    case 87: goto c232;
    case 88: goto cb233;
    case 89: goto c234;
    case 90: goto cb235;
    case 91: goto c236;
    case 92: goto cb241;
    case 93: goto c242;
    case 94: goto c243;
    case 95: goto cb254;
    case 96: goto c255;
    case 97: goto cb256;
    case 98: goto c257;
    case 99: goto cb258;
    case 100: goto c259;
    case 101: goto c261;
    case 102: goto c290;
    case 103: goto c305;
    case 104: goto c310;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* new_record 4 , 11 */
  if ((ch_val.record = new_record(11)) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_record;
/* chs_lit 5 , "load" */
  if( !chs_lit(DEF(5),"load") ) goto ch_depletion;
/* chs_lit 6 , "" */
  if( !chs_lit(DEF(6),"") ) goto ch_depletion;
  current->ip = 3;
cb5:
/* call 3.2.2 5 6 7 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(5),
          arguments[2] = DEF(6),
          arguments[3] = DEF(7),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c6:
/* unwrap 4.0 7 , 2 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(0),DEF(7),QUAL(2)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 8 , "pathLoad" */
  if( !chs_lit(DEF(8),"pathLoad") ) goto ch_depletion;
/* chs_lit 9 , "" */
  if( !chs_lit(DEF(9),"") ) goto ch_depletion;
  current->ip = 5;
cb9:
/* call 3.2.2 8 9 10 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c10:
/* unwrap 4.1 10 , 2 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(1),DEF(10),QUAL(2)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 11 , "readObj" */
  if( !chs_lit(DEF(11),"readObj") ) goto ch_depletion;
/* chs_lit 12 , "" */
  if( !chs_lit(DEF(12),"") ) goto ch_depletion;
  current->ip = 7;
cb13:
/* call 3.2.2 11 12 13 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(11),
          arguments[2] = DEF(12),
          arguments[3] = DEF(13),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* unwrap 4.2 13 , 3 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(2),DEF(13),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 14 , "pathReadObj" */
  if( !chs_lit(DEF(14),"pathReadObj") ) goto ch_depletion;
/* chs_lit 15 , "" */
  if( !chs_lit(DEF(15),"") ) goto ch_depletion;
  current->ip = 9;
cb17:
/* call 3.2.2 14 15 16 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(14),
          arguments[2] = DEF(15),
          arguments[3] = DEF(16),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c18:
/* unwrap 4.3 16 , 3 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(3),DEF(16),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 17 , "writeObj" */
  if( !chs_lit(DEF(17),"writeObj") ) goto ch_depletion;
/* chs_lit 18 , "" */
  if( !chs_lit(DEF(18),"") ) goto ch_depletion;
  current->ip = 11;
cb21:
/* call 3.2.2 17 18 19 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(17),
          arguments[2] = DEF(18),
          arguments[3] = DEF(19),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
/* unwrap 4.4 19 , 4 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(4),DEF(19),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 20 , "libWriteObj" */
  if( !chs_lit(DEF(20),"libWriteObj") ) goto ch_depletion;
/* chs_lit 21 , "" */
  if( !chs_lit(DEF(21),"") ) goto ch_depletion;
  current->ip = 13;
cb25:
/* call 3.2.2 20 21 22 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(20),
          arguments[2] = DEF(21),
          arguments[3] = DEF(22),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c26:
/* unwrap 4.5 22 , 4 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(5),DEF(22),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 23 , "store" */
  if( !chs_lit(DEF(23),"store") ) goto ch_depletion;
/* chs_lit 24 , "" */
  if( !chs_lit(DEF(24),"") ) goto ch_depletion;
  current->ip = 15;
cb29:
/* call 3.2.2 23 24 25 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(23),
          arguments[2] = DEF(24),
          arguments[3] = DEF(25),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c30:
/* unwrap 4.6 25 , 5 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(6),DEF(25),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 26 , "libStore" */
  if( !chs_lit(DEF(26),"libStore") ) goto ch_depletion;
/* chs_lit 27 , "" */
  if( !chs_lit(DEF(27),"") ) goto ch_depletion;
  current->ip = 17;
cb33:
/* call 3.2.2 26 27 28 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(26),
          arguments[2] = DEF(27),
          arguments[3] = DEF(28),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c34:
/* unwrap 4.7 28 , 5 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(7),DEF(28),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 29 , "getCwd" */
  if( !chs_lit(DEF(29),"getCwd") ) goto ch_depletion;
/* chs_lit 30 , "" */
  if( !chs_lit(DEF(30),"") ) goto ch_depletion;
  current->ip = 19;
cb37:
/* call 3.2.2 29 30 31 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(29),
          arguments[2] = DEF(30),
          arguments[3] = DEF(31),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c38:
/* unwrap 4.8 31 , 6 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(8),DEF(31),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 32 , "setCwd" */
  if( !chs_lit(DEF(32),"setCwd") ) goto ch_depletion;
/* chs_lit 33 , "" */
  if( !chs_lit(DEF(33),"") ) goto ch_depletion;
  current->ip = 21;
cb41:
/* call 3.2.2 32 33 34 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(32),
          arguments[2] = DEF(33),
          arguments[3] = DEF(34),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c42:
/* unwrap 4.9 34 , 7 */
  if ((ch_returncode = che_unwrap(DEF(4)DOT(9),DEF(34),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* copy 4.10 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4)DOT(10).tsdr)->finalize)(REF(4)DOT(10).value,F_DISCARD,sched);
  REF(4)DOT(10).value = ch_val;
  REF(4)DOT(10).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* chs_lit 35 , "abbrev_expand" */
  if( !chs_lit(DEF(35),"abbrev_expand") ) goto ch_depletion;
  current->ip = 23;
cb45:
/* call 4.1 35 36 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(1),
          arguments[1] = DEF(35),
          arguments[2] = DEF(36),
          arguments[2+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c46:
/* procedure 37 36 , 9 */
  if ((ch_returncode = che_procedure(DEF(37),DEF(36),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* move 38 37 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38) = REF(37);
  REF(37).tsdr = & dr_bottom;
/* chs_lit 39 , "do_shorten" */
  if( !chs_lit(DEF(39),"do_shorten") ) goto ch_depletion;
  current->ip = 25;
cb50:
/* call 4.1 39 40 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(1),
          arguments[1] = DEF(39),
          arguments[2] = DEF(40),
          arguments[2+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c51:
/* procedure 41 40 , 9 */
  if ((ch_returncode = che_procedure(DEF(41),DEF(40),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* move 42 41 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42) = REF(41);
  REF(41).tsdr = & dr_bottom;
/* chs_lit 43 , "checkdefs" */
  if( !chs_lit(DEF(43),"checkdefs") ) goto ch_depletion;
  current->ip = 27;
cb55:
/* call 4.1 43 44 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(1),
          arguments[1] = DEF(43),
          arguments[2] = DEF(44),
          arguments[2+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c56:
/* procedure 45 44 , 10 */
  if ((ch_returncode = che_procedure(DEF(45),DEF(44),QUAL(10)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* move 46 45 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46) = REF(45);
  REF(45).tsdr = & dr_bottom;
/* copy 47 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).value = ch_val;
  REF(47).tsdr = & dr_table;
/* initget 48 47 , 0,0 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(48),DEF(47),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c61:
/* get_or_goto 48 47 , 305 */
  if ((ch_returncode = get_selected_object(DEF(48),DEF(47),sched)) != Normal)
     goto c305;
/* position 49 48 */
  ch_frame = get_selector_frame(DEF(48),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(49).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(49).tsdr = &dr_integer;
/* ile . 49 =(1) , 61 */
  if ( REF(49).value.integer <= 1 ) goto c61;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 54 , ":" */
  if( !chs_lit(DEF(54),":") ) goto ch_depletion;
/* concat 53 48 54 */
  if ((ch_returncode = che_concat(DEF(53),DEF(48),DEF(54),sched)) != Normal)
     goto ch_raise_exception;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
  current->ip = 30;
cb74:
/* call 3.1.0 53 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(53),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c75:
/* new_table 52 , 13 */
  if ((ch_returncode = che_new_table(DEF(52),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 51 , 13 */
  if ((ch_returncode = che_new_table(DEF(51),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* chs_lit 55 , ".do" */
  if( !chs_lit(DEF(55),".do") ) goto ch_depletion;
/* concat 56 48 55 */
  if ((ch_returncode = che_concat(DEF(56),DEF(48),DEF(55),sched)) != Normal)
     goto ch_raise_exception;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* move 50 56 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50) = REF(56);
  REF(56).tsdr = & dr_bottom;
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 57 , " load[" */
  if( !chs_lit(DEF(57)," load[") ) goto ch_depletion;
/* concat 58 57 50 */
  if ((ch_returncode = che_concat(DEF(58),DEF(57),DEF(50),sched)) != Normal)
     goto ch_raise_exception;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* chs_lit 59 , "]" */
  if( !chs_lit(DEF(59),"]") ) goto ch_depletion;
/* concat 60 58 59 */
  if ((ch_returncode = che_concat(DEF(60),DEF(58),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
  current->ip = 32;
cb89:
/* call 3.1.0 60 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(60),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c90:
/* call 4.3 50 61 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(3),
          arguments[1] = DEF(50),
          arguments[2] = DEF(61),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c91:
/* move 62 61 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62) = REF(61);
  REF(61).tsdr = & dr_bottom;
/* unwrap 63 62 , 16 */
  if ((ch_returncode = che_unwrap(DEF(63),DEF(62),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 103 */
   goto c103;
c95:
/* chs_lit 64 , " ERRORS" */
  if( !chs_lit(DEF(64)," ERRORS") ) goto ch_depletion;
  current->ip = 36;
cb96:
/* call 3.1.1 64 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(64),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c97:
/* chs_lit 65 , "Definitions module '" */
  if( !chs_lit(DEF(65),"Definitions module '") ) goto ch_depletion;
  current->ip = 38;
cb98:
/* call 3.1.0 65 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(65),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c99:
/* call 3.1.0 48 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(48),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c100:
/* chs_lit 66 , "' not found." */
  if( !chs_lit(DEF(66),"' not found.") ) goto ch_depletion;
  current->ip = 41;
cb101:
/* call 3.1.1 66 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(66),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c102:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c103:
/* copy 67 63.0 */
  if((ch_returncode = (REF(63)DOT(0).tsdr->copy)(& ch_val, REF(63)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).value = ch_val;
  REF(67).tsdr = datarepmap[REF(63)DOT(0).tsdr->number];
/* insert 52 67 */
  if ((ch_returncode = insertfunc(DEF(52),DEF(67),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 68 63.1 */
  if((ch_returncode = (REF(63)DOT(1).tsdr->copy)(& ch_val, REF(63)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).value = ch_val;
  REF(68).tsdr = datarepmap[REF(63)DOT(1).tsdr->number];
/* insert 51 68 */
  if ((ch_returncode = insertfunc(DEF(51),DEF(68),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 69 63.3 */
  if((ch_returncode = cp_table(& ch_val, REF(63)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).value = ch_val;
  REF(69).tsdr = & dr_table;
/* new_table 70 , 18 */
  if ((ch_returncode = che_new_table(DEF(70),QUAL(18),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 69 */
  if (REF(69).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(69))) != Normal)
       goto ch_raise_exception;
/* find 71 69 48 , 0 */
  if (findfunc(DEF(71),DEF(69),(
          arguments[0] = DEF(48),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 72 71 69 , 0 */
  if ((ch_returncode = removefunc(DEF(72),DEF(71),DEF(69),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* insert 70 72 */
  if ((ch_returncode = insertfunc(DEF(70),DEF(72),FALSE,0)) != Normal)
     goto ch_raise_exception;
c113:
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* size 75 69 */
  REF(75).value.integer = REF(69).value.table->size;
  REF(75).tsdr = & dr_integer;
/* equal . 75 =(0) , 177 */
  if ( REF(75).value.integer == 0 ) goto c177;
/* block , 19 */
  if((ch_returncode = che_block(QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 69 */
  if (REF(69).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(69))) != Normal)
       goto ch_raise_exception;
/* initget 76 69 , 0,0 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(76),DEF(69),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 76 69 */
  if ((ch_returncode = get_selected_object(DEF(76),DEF(69),sched)) != Normal)
     goto ch_raise_exception;
/* remove 72 76 69 */
  if ((ch_returncode = che_remove(DEF(72),DEF(76),DEF(69),sched)) != Normal)
     goto ch_raise_exception;
/* endget 76 69 */
  end_selector(DEF(76),DEF(69),sched,GET);
/* chs_lit 77 , ".do" */
  if( !chs_lit(DEF(77),".do") ) goto ch_depletion;
/* concat 78 72.0 77 */
  if ((ch_returncode = che_concat(DEF(78),DEF(72)DOT(0),DEF(77)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* move 73 78 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73) = REF(78);
  REF(78).tsdr = & dr_bottom;
  current->ip = 45;
cb129:
/* call 4.3 73 79 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(3),
          arguments[1] = DEF(73),
          arguments[2] = DEF(79),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c130:
/* move 62 79 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62) = REF(79);
  REF(79).tsdr = & dr_bottom;
/* unwrap 74 62 , 16 */
  if ((ch_returncode = che_unwrap(DEF(74),DEF(62),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 74.0.0 72.1 , 140 */
  if ( (REF(74)DOT(0)DOT(0).tsdr->equal)(REF(74)DOT(0)DOT(0).value,
    REF(72)DOT(1).value) ) goto c140;
/* chs_lit 80 , "Definitions module '" */
  if( !chs_lit(DEF(80),"Definitions module '") ) goto ch_depletion;
  current->ip = 47;
cb135:
/* call 3.1.0 80 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(80),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c136:
/* call 3.1.0 72.0 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(72)DOT(0),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c137:
/* chs_lit 81 , "' is inconsistent with disk." */
  if( !chs_lit(DEF(81),"' is inconsistent with disk.") ) goto ch_depletion;
  current->ip = 50;
cb138:
/* call 3.1.1 81 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(81),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c139:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c140:
/* insert 52 74.0 */
  if ((ch_returncode = insertfunc(DEF(52),DEF(74)DOT(0),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 51 74.1 */
  if ((ch_returncode = insertfunc(DEF(51),DEF(74)DOT(1),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 70 72 */
  if ((ch_returncode = insertfunc(DEF(70),DEF(72),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 82 74.3 */
  if((ch_returncode = cp_table(& ch_val, REF(74)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val;
  REF(82).tsdr = & dr_table;
/* initget 83 82 , 0,0 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(83),DEF(82),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c145:
/* get_or_goto 83 82 , 165 */
  if ((ch_returncode = get_selected_object(DEF(83),DEF(82),sched)) != Normal)
     goto c165;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* find 84 70 83.0 , 0 */
  if (findfunc(DEF(84),DEF(70),(
          arguments[0] = DEF(83)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* equal . 84.1 83.1 , 156 */
  if ( (REF(84)DOT(1).tsdr->equal)(REF(84)DOT(1).value,REF(83)DOT(1).value) )
     goto c156;
/* chs_lit 85 , "Definitions module '" */
  if( !chs_lit(DEF(85),"Definitions module '") ) goto ch_depletion;
  current->ip = 54;
cb151:
/* call 3.1.0 85 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(85),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c152:
/* call 3.1.0 84.0 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(84)DOT(0),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c153:
/* chs_lit 86 , " is inconsistent." */
  if( !chs_lit(DEF(86)," is inconsistent.") ) goto ch_depletion;
  current->ip = 57;
cb154:
/* call 3.1.1 86 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(86),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c155:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c156:
/* endblock */
  che_endblock(sched);
/* branch , 145 */
   goto c145;
c158:
/* block , 21 */
  if((ch_returncode = che_block(QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
/* copy 87 83 */
  if((ch_returncode = (REF(83).tsdr->copy)(& ch_val, REF(83).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).value = ch_val;
  REF(87).tsdr = datarepmap[REF(83).tsdr->number];
/* insert 69 87 */
  if ((ch_returncode = insertfunc(DEF(69),DEF(87),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c163:
/* discard 87 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).tsdr = & dr_bottom;
/* branch , 145 */
   goto c145;
c165:
/* endget 83 82 */
  end_selector(DEF(83),DEF(82),sched,GET);
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
/* discard 74.3 */
  (*(REF(74)DOT(3).tsdr)->finalize)(REF(74)DOT(3).value,F_DISCARD,sched);
  REF(74)DOT(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 113 */
   goto c113;
c170:
/* chs_lit 88 , "Definitions module '" */
  if( !chs_lit(DEF(88),"Definitions module '") ) goto ch_depletion;
  current->ip = 64;
cb171:
/* call 3.1.0 88 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(88),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c172:
/* call 3.1.0 72.0 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(72)DOT(0),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c173:
/* chs_lit 89 , "' was not found." */
  if( !chs_lit(DEF(89),"' was not found.") ) goto ch_depletion;
  current->ip = 67;
cb174:
/* call 3.1.1 89 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(89),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c175:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c177:
/* copy 90 63.0.0 */
  if((ch_returncode = (REF(63)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(63)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).value = ch_val;
  REF(90).tsdr = datarepmap[REF(63)DOT(0)DOT(0).tsdr->number];
/* chs_lit 91 , "predefined" */
  if( !chs_lit(DEF(91),"predefined") ) goto ch_depletion;
/* equal 92 48 91 */
  REF(92).value.boolean = (eq_table(REF(48).value,REF(91).value));
  REF(92).tsdr = & dr_boolean;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* branch_false 92 , 201 */
  if ( !REF(92).value.boolean ) goto c201;
/* find 93 51 90 , 0 */
  if (findfunc(DEF(93),DEF(51),(
          arguments[0] = DEF(90),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* new_record 94 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).value = ch_val; REF(94).tsdr = & dr_record;
/* copy 94.0 90 */
  if((ch_returncode = (REF(90).tsdr->copy)(& ch_val, REF(90).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(94)DOT(0).tsdr)->finalize)(REF(94)DOT(0).value,F_DISCARD,sched);
  REF(94)DOT(0).value = ch_val;
  REF(94)DOT(0).tsdr = datarepmap[REF(90).tsdr->number];
/* new_record 95 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).value = ch_val; REF(95).tsdr = & dr_record;
/* copy 95.0 90 */
  if((ch_returncode = (REF(90).tsdr->copy)(& ch_val, REF(90).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(95)DOT(0).tsdr)->finalize)(REF(95)DOT(0).value,F_DISCARD,sched);
  REF(95)DOT(0).value = ch_val;
  REF(95)DOT(0).tsdr = datarepmap[REF(90).tsdr->number];
/* block , 22 */
  if((ch_returncode = che_block(QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 96 , "definitions_module" */
  if( !chs_lit(DEF(96),"definitions_module") ) goto ch_depletion;
/* find 97 93.2 96 , 1 */
  if (findfunc(DEF(97),DEF(93)DOT(2),(
          arguments[0] = DEF(96),& arguments[0]),sched,1) == FAILURE)
             goto ch_notfound;
/* copy 94.1 97.0 */
  if((ch_returncode = (REF(97)DOT(0).tsdr->copy)(& ch_val, REF(97)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(94)DOT(1).tsdr)->finalize)(REF(94)DOT(1).value,F_DISCARD,sched);
  REF(94)DOT(1).value = ch_val;
  REF(94)DOT(1).tsdr = datarepmap[REF(97)DOT(0).tsdr->number];
/* chs_lit 98 , "program" */
  if( !chs_lit(DEF(98),"program") ) goto ch_depletion;
/* find 99 93.2 98 , 1 */
  if (findfunc(DEF(99),DEF(93)DOT(2),(
          arguments[0] = DEF(98),& arguments[0]),sched,1) == FAILURE)
             goto ch_notfound;
/* copy 95.1 99.0 */
  if((ch_returncode = (REF(99)DOT(0).tsdr->copy)(& ch_val, REF(99)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(95)DOT(1).tsdr)->finalize)(REF(95)DOT(1).value,F_DISCARD,sched);
  REF(95)DOT(1).value = ch_val;
  REF(95)DOT(1).tsdr = datarepmap[REF(99)DOT(0).tsdr->number];
/* endblock */
  che_endblock(sched);
/* branch , 205 */
   goto c205;
c196:
/* discard 94.1 */
  (*(REF(94)DOT(1).tsdr)->finalize)(REF(94)DOT(1).value,F_DISCARD,sched);
  REF(94)DOT(1).tsdr = & dr_bottom;
/* chs_lit 100 , " ERRORS - run dcom for details" */
  if( !chs_lit(DEF(100)," ERRORS - run dcom for details") ) goto ch_depletion;
  current->ip = 71;
cb198:
/* call 3.1.1 100 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(100),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c199:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c201:
/* typename 94 , 23 */
  if ((ch_returncode = che_typename(DEF(94),QUAL(23),sched)) != Normal) 
     goto ch_raise_exception;
/* typename 95 , 24 */
  if ((ch_returncode = che_typename(DEF(95),QUAL(24),sched)) != Normal) 
     goto ch_raise_exception;
c205:
/* privatize 52 */
  if (REF(52).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(52))) != Normal)
       goto ch_raise_exception;
/* find 101 52 90 , 0 */
  if (findfunc(DEF(101),DEF(52),(
          arguments[0] = DEF(90),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 102 101 52 , 0 */
  if ((ch_returncode = removefunc(DEF(102),DEF(101),DEF(52),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* chs_lit 103 , " fixabbrevs" */
  if( !chs_lit(DEF(103)," fixabbrevs") ) goto ch_depletion;
  current->ip = 75;
cb209:
/* call 3.1.0 103 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(103),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c210:
/* call 38 4 102 52 104 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(38),
          arguments[1] = DEF(4),
          arguments[2] = DEF(102),
          arguments[3] = DEF(52),
          arguments[4] = DEF(104),
          arguments[4+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c211:
/* size 105 104 */
  REF(105).value.integer = REF(104).value.table->size;
  REF(105).tsdr = & dr_integer;
/* equal . 105 =(0) , 218 */
  if ( REF(105).value.integer == 0 ) goto c218;
/* chs_lit 106 , " ERRORS - run dcom for details" */
  if( !chs_lit(DEF(106)," ERRORS - run dcom for details") ) goto ch_depletion;
  current->ip = 78;
cb216:
/* call 3.1.1 106 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(106),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c217:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c218:
/* chs_lit 107 , " checkdefs" */
  if( !chs_lit(DEF(107)," checkdefs") ) goto ch_depletion;
  current->ip = 81;
cb219:
/* call 3.1.0 107 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(107),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c220:
/* new_record 108 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).value = ch_val; REF(108).tsdr = & dr_record;
/* copy 108.0 94 */
  if((ch_returncode = cp_record(& ch_val, REF(94).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(108)DOT(0).tsdr)->finalize)(REF(108)DOT(0).value,F_DISCARD,sched);
  REF(108)DOT(0).value = ch_val;
  REF(108)DOT(0).tsdr = & dr_record;
/* copy 108.1 95 */
  if((ch_returncode = cp_record(& ch_val, REF(95).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(108)DOT(1).tsdr)->finalize)(REF(108)DOT(1).value,F_DISCARD,sched);
  REF(108)DOT(1).value = ch_val;
  REF(108)DOT(1).tsdr = & dr_record;
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
  current->ip = 83;
cb224:
/* call 46 4 102 52 108 104 , 26 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(46),
          arguments[1] = DEF(4),
          arguments[2] = DEF(102),
          arguments[3] = DEF(52),
          arguments[4] = DEF(108),
          arguments[5] = DEF(104),
          arguments[5+1] = nil,& arguments[0]),QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  return;
c225:
/* size 109 104 */
  REF(109).value.integer = REF(104).value.table->size;
  REF(109).tsdr = & dr_integer;
/* equal . 109 =(0) , 232 */
  if ( REF(109).value.integer == 0 ) goto c232;
/* chs_lit 110 , " ERRORS - run dcom for details" */
  if( !chs_lit(DEF(110)," ERRORS - run dcom for details") ) goto ch_depletion;
  current->ip = 85;
cb230:
/* call 3.1.1 110 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(110),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c231:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c232:
/* chs_lit 111 , " shorten" */
  if( !chs_lit(DEF(111)," shorten") ) goto ch_depletion;
  current->ip = 88;
cb233:
/* call 3.1.0 111 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(111),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c234:
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
  current->ip = 90;
cb235:
/* call 42 4 102 52 104 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(42),
          arguments[1] = DEF(4),
          arguments[2] = DEF(102),
          arguments[3] = DEF(52),
          arguments[4] = DEF(104),
          arguments[4+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c236:
/* size 112 104 */
  REF(112).value.integer = REF(104).value.table->size;
  REF(112).tsdr = & dr_integer;
/* equal . 112 =(0) , 243 */
  if ( REF(112).value.integer == 0 ) goto c243;
/* chs_lit 113 , " ERRORS - run dcom for details" */
  if( !chs_lit(DEF(113)," ERRORS - run dcom for details") ) goto ch_depletion;
  current->ip = 92;
cb241:
/* call 3.1.1 113 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(113),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c242:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c243:
/* move 63.0 102 */
  (*(REF(63)DOT(0).tsdr)->finalize)(REF(63)DOT(0).value,F_DISCARD,sched);
  REF(63)DOT(0) = REF(102);
  REF(102).tsdr = & dr_bottom;
/* find 114 51 90 , 0 */
  if (findfunc(DEF(114),DEF(51),(
          arguments[0] = DEF(90),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 63.1 114 */
  if((ch_returncode = (REF(114).tsdr->copy)(& ch_val, REF(114).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(63)DOT(1).tsdr)->finalize)(REF(63)DOT(1).value,F_DISCARD,sched);
  REF(63)DOT(1).value = ch_val;
  REF(63)DOT(1).tsdr = datarepmap[REF(114).tsdr->number];
/* chs_lit 115 , " store[" */
  if( !chs_lit(DEF(115)," store[") ) goto ch_depletion;
/* concat 116 115 50 */
  if ((ch_returncode = che_concat(DEF(116),DEF(115),DEF(50),sched)) != Normal)
     goto ch_raise_exception;
/* discard 115 */
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).tsdr = & dr_bottom;
/* chs_lit 117 , "]" */
  if( !chs_lit(DEF(117),"]") ) goto ch_depletion;
/* concat 118 116 117 */
  if ((ch_returncode = che_concat(DEF(118),DEF(116),DEF(117)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 116 */
  (*(REF(116).tsdr)->finalize)(REF(116).value,F_DISCARD,sched);
  REF(116).tsdr = & dr_bottom;
/* discard 117 */
  (*(REF(117).tsdr)->finalize)(REF(117).value,F_DISCARD,sched);
  REF(117).tsdr = & dr_bottom;
  current->ip = 95;
cb254:
/* call 3.1.0 118 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(118),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c255:
/* wrap 62 63 , 16 */
  if ((ch_returncode = che_wrap(DEF(62),DEF(63),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 97;
cb256:
/* call 4.4 50 62 , 27 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(4),
          arguments[1] = DEF(50),
          arguments[2] = DEF(62),
          arguments[2+1] = nil,& arguments[0]),QUAL(27),sched)) != Normal)
     goto ch_raise_exception;
  return;
c257:
/* chs_lit 119 , "" */
  if( !chs_lit(DEF(119),"") ) goto ch_depletion;
  current->ip = 99;
cb258:
/* call 3.1.1 119 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(119),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c259:
/* endblock */
  che_endblock(sched);
/* branch , 290 */
   goto c290;
c261:
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* discard 102 */
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  REF(102).tsdr = & dr_bottom;
/* discard 103 */
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).tsdr = & dr_bottom;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 110 */
  (*(REF(110).tsdr)->finalize)(REF(110).value,F_DISCARD,sched);
  REF(110).tsdr = & dr_bottom;
/* discard 111 */
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  REF(111).tsdr = & dr_bottom;
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 80 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).tsdr = & dr_bottom;
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
c290:
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* discard 103 */
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).tsdr = & dr_bottom;
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 111 */
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  REF(111).tsdr = & dr_bottom;
/* discard 118 */
  (*(REF(118).tsdr)->finalize)(REF(118).value,F_DISCARD,sched);
  REF(118).tsdr = & dr_bottom;
/* discard 119 */
  (*(REF(119).tsdr)->finalize)(REF(119).value,F_DISCARD,sched);
  REF(119).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* branch , 61 */
   goto c61;
c305:
/* endget 48 47 */
  end_selector(DEF(48),DEF(47),sched,GET);
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c310:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
